% Lo script crea un menu che d la possibilit di scegliere tra la visualizzazione 
% delle seguenti figure geometriche: triangolo, quadrato, pentagono, cerchio.

scelta=menu('SCEGLI UNA FIGURA GEOMETRICA','triangolo','quadrato','pentagono','cerchio')

theta=linspace(0,2*pi,361);
c=cos(theta);
s=sin(theta);   

switch scelta
    case 1
      lati=3;
    case 2
      lati=4;
    case 3
      lati=5;
    case 4
      lati=360;
      plot(c,s);
      axis equal
    otherwise
      disp('errore');
end

if lati~=360
   x=zeros(1,lati+1);
   y=zeros(1,lati+1);
   ang=360/lati;
   for i=1:lati
       x(i)=c(ang*i+1);
       y(i)=s(ang*i+1);
   end
   x(lati+1)=x(1);
   y(lati+1)=y(1);
   plot(x,y,'r',x,y,'bo',c,s,'g--')
   axis equal
end